# THSF.NET

Le site du THSF

## Modifier le site

Il n'est **pas possible** de pousser directement des modifications sur la branche `master`.

Pour modifier le site, il est nécessaire de créer une branche spécifique et d'y pousser vos modifications.

## Publication du site

Lorsque vous êtes satisfaits de vos modifications, vous pouvez créer [une demande d'ajout](https://git.tetalab.org/tetalab/thsf.net/pulls) de votre branche sur la branche `master`.

Lorsque la demande de fusion sera acceptée (vous pouvez auto-accepter vos demandes de fusion), vos modifications seront automatiquement publiées sur [le site du THSF](https://www.thsf.net).

### Personnalisation de la publication

Afin de rendre le processus plus souple, il est possible de personnaliser la livraison en plaçant **à la racine du dépôt** un fichier `Makefile` contenant une cible `all` qui sera systématiquement exécutée.

C'est dans cette cible `all` que vous pourrez mettre toutes vos commandes personnalisées, typiquement l'installation de modules `python`, etc.

Le processus de publication est le suivant:

1. Le site actuellement en production est **supprimé**

2. La branche `master` du présent dépôt est cloné sur le serveur hébergeant le site du **THSF**

3. Si un fichier `Makefile` se trouve **à la racine du dépôt**, la cible `all` (i.e: `make all`) est automatiquement exécutée.


## Contrôle de qualité et tests

Aucun contrôle de qualité ou de tests n'est mis en place. Vous êtes seuls sur le coup.

Soyez responsable et **testez vos modifications sur votre machine locale avant de fusionner votre branche** sur la branche `master`.
